org.eclipse.emf.cdo.server.net4j

## Class FailoverMonitor.AbstractServerProtocolFactory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.spi.net4j.ServerProtocolFactory
    - - org.eclipse.emf.cdo.server.net4j.FailoverMonitor.AbstractServerProtocolFactory

- All Implemented Interfaces:
    FailoverMonitor.Provider, IFactory
  Direct Known Subclasses:
    FailoverMonitor.AgentProtocol.Factory, FailoverMonitor.ClientProtocol.Factory
  Enclosing class:
    FailoverMonitor

      public abstract static class FailoverMonitor.AbstractServerProtocolFactory
      extends ServerProtocolFactory
      implements FailoverMonitor.Provider

  An abstract base class for the `server-side protocol factories` required by a `fail-over monitor`.
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.spi.net4j.ServerProtocolFactory

      `PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractServerProtocolFactory(String type)`
    `protected` | `AbstractServerProtocolFactory(String type, IManagedContainer container)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FailoverMonitor` | `getFailoverMonitor(String group)`

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.factory.IFactory

      `create`

- - ### Constructor Detail

    - #### AbstractServerProtocolFactory

          protected AbstractServerProtocolFactory(String type)

    - #### AbstractServerProtocolFactory

          protected AbstractServerProtocolFactory(String type,
                                                  IManagedContainer container)

  - ### Method Detail

    - #### getFailoverMonitor

          public FailoverMonitor getFailoverMonitor(String group)

      Specified by:
        `getFailoverMonitor` in interface `FailoverMonitor.Provider`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html